Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.conn
Class MfC_ConnectorClient

    java.lang.Object
      com.sun.mfwk.conn.MfC_ConnectorClient

All Implemented Interfaces:
  javax.management.MBeanServerConnection

public class MfC_ConnectorClient
extends java.lang.Object
implements javax.management.MBeanServerConnection

Constructor Summary
`MfC_ConnectorClient()`

Method Summary
`void` | `addNotificationListener(javax.management.ObjectName objectName, javax.management.NotificationListener notificationListener, javax.management.NotificationFilter notificationFilter, java.lang.Object object)` Not supported method, always throw an IOException with the detail message "Not supported method".
`void` | `addNotificationListener(javax.management.ObjectName objectName, javax.management.ObjectName objectName1, javax.management.NotificationFilter notificationFilter, java.lang.Object object)` Not supported method, always throw an IOException with the detail message "Not supported method".
`java.lang.String` | `connect(int port)` Initializes the communication with an RPC server.
`javax.management.ObjectInstance` | `createMBean(java.lang.String className, javax.management.ObjectName objectName)` Not supported method, always throw an IOException with the detail message "Not supported method".
`javax.management.ObjectInstance` | `createMBean(java.lang.String className, javax.management.ObjectName objectName, java.lang.Object[] objectArray, java.lang.String[] stringArray)` Not supported method, always throw an IOException with the detail message "Not supported method".
`javax.management.ObjectInstance` | `createMBean(java.lang.String className, javax.management.ObjectName objectName, javax.management.ObjectName objectName2)` Not supported method, always throw an IOException with the detail message "Not supported method".
`javax.management.ObjectInstance` | `createMBean(java.lang.String className, javax.management.ObjectName objectName, javax.management.ObjectName objectName2, java.lang.Object[] objectArray, java.lang.String[] stringArray)` Not supported method, always throw an IOException with the detail message "Not supported method".
`java.lang.Object` | `getAttribute(javax.management.ObjectName name, java.lang.String attribute)` Gets the value of a specific attribute of an object name.
`javax.management.AttributeList` | `getAttributes(javax.management.ObjectName name, java.lang.String[] attributes)` Enables the values of several attributes of a named object.
`java.lang.String` | `getDefaultDomain()` Not supported method, always throw an IOException with the detail message "Not supported method".
`java.lang.String[]` | `getDomains()` Not supported method, always throw an IOException with the detail message "Not supported method".
`java.lang.Integer` | `getMBeanCount()` Not supported method, always throw an IOException with the detail message "Not supported method".
`javax.management.MBeanInfo` | `getMBeanInfo(javax.management.ObjectName objectName)` Not supported method, always throw an IOException with the detail message "Not supported method".
`javax.management.ObjectInstance` | `getObjectInstance(javax.management.ObjectName objectName)` Not supported method, always throw an IOException with the detail message "Not supported method".
`java.lang.Object` | `invoke(javax.management.ObjectName name, java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signature)` Invokes an operation on an object.
`boolean` | `isInstanceOf(javax.management.ObjectName objectName, java.lang.String string)` Not supported method, always throw an IOException with the detail message "Not supported method".
`boolean` | `isRegistered(javax.management.ObjectName objectName)` Not supported method, always throw an IOException with the detail message "Not supported method".
`java.util.Set` | `queryMBeans(javax.management.ObjectName objectName, javax.management.QueryExp queryExp)` Not supported method, always throw an IOException with the detail message "Not supported method".
`java.util.Set` | `queryNames(javax.management.ObjectName objectName, javax.management.QueryExp queryExp)` Not supported method, always throw an IOException with the detail message "Not supported method".
`void` | `removeNotificationListener(javax.management.ObjectName objectName, javax.management.NotificationListener notificationListener)` Not supported method, always throw an IOException with the detail message "Not supported method".
`void` | `removeNotificationListener(javax.management.ObjectName objectName, javax.management.NotificationListener notificationListener, javax.management.NotificationFilter notificationFilter, java.lang.Object object)` Not supported method, always throw an IOException with the detail message "Not supported method".
`void` | `removeNotificationListener(javax.management.ObjectName objectName, javax.management.ObjectName objectName1)` Not supported method, always throw an IOException with the detail message "Not supported method".
`void` | `removeNotificationListener(javax.management.ObjectName objectName, javax.management.ObjectName objectName1, javax.management.NotificationFilter notificationFilter, java.lang.Object object)` Not supported method, always throw an IOException with the detail message "Not supported method".
`void` | `setAttribute(javax.management.ObjectName objectName, javax.management.Attribute attribute)` Not supported method, always throw an IOException with the detail message "Not supported method".
`javax.management.AttributeList` | `setAttributes(javax.management.ObjectName objectName, javax.management.AttributeList attributeList)` Not supported method, always throw an IOException with the detail message "Not supported method".
`void` | `unregisterMBean(javax.management.ObjectName objectName)` Not supported method, always throw an IOException with the detail message "Not supported method".

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfC_ConnectorClient

    public MfC_ConnectorClient()

Method Detail

### connect

    public java.lang.String connect(int port)
                             throws java.io.IOException

  Initializes the communication with an RPC server. The port number is given as parameter. If a communication problem occurs this method will throw a `IOException`.

  Throws:
    `java.io.IOException`

### getAttribute

    public java.lang.Object getAttribute(javax.management.ObjectName name,
                                         java.lang.String attribute)
                                  throws javax.management.InstanceNotFoundException,
                                         javax.management.AttributeNotFoundException,
                                         java.io.IOException

  Gets the value of a specific attribute of an object name.

  Specified by:
    `getAttribute` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `name` - The object name from which the attribute is to be retrieved.
    `attribute` - A String specifying the name of the attribute to be retrieved.
  Returns:
    The value of the retrieved attribute. Only the primitive types are supported.
  Throws:
    `javax.management.AttributeNotFoundException` - The attribute specified is not accessible in the object.
    `javax.management.InstanceNotFoundException` - The object specified is not registered in the server.
    `java.io.IOException` - rmi2rpc exception.

### getAttributes

    public javax.management.AttributeList getAttributes(javax.management.ObjectName name,
                                                        java.lang.String[] attributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        java.io.IOException

  Enables the values of several attributes of a named object.

  Specified by:
    `getAttributes` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `name` - The object name from which the attributes are retrieved.
    `attributes` - A list of the attributes to be retrieved.
  Returns:
    The list of the retrieved attributes. Only the primitive types are supported.
  Throws:
    `javax.management.InstanceNotFoundException` - The object specified is not registered in the server.
    `java.io.IOException` - rmi2rpc exception.

### invoke

    public java.lang.Object invoke(javax.management.ObjectName name,
                                   java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws javax.management.InstanceNotFoundException,
                                   javax.management.MBeanException,
                                   javax.management.JMRuntimeException,
                                   java.io.IOException

  Invokes an operation on an object.

  Specified by:
    `invoke` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `name` - The object name on which the method is to be invoked.
    `operationName` - The name of the operation to be invoked.
    `params` - An array containing the parameters to be set when the operation is invoked.
    `signature` - An array containing the signature of the operation. Only the primitive types are supported.
  Returns:
    The value returned by the operation, which represents the result of invoking the operation on the object specified. Only the primitive types are supported.
  Throws:
    `javax.management.InstanceNotFoundException` - - The object specified is not registered in the server.
    `javax.management.MBeanException` - - Exception thrown if the operation does not exist on the specified object.
    `javax.management.JMRuntimeException` - - Exception thrown if there is an error in the operation.
    `java.io.IOException` - rmi2rpc exception.

### getMBeanCount

    public java.lang.Integer getMBeanCount()
                                    throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `getMBeanCount` in interface `javax.management.MBeanServerConnection`
  Returns:
    Integer
  Throws:
    `java.io.IOException`

### getDefaultDomain

    public java.lang.String getDefaultDomain()
                                      throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `getDefaultDomain` in interface `javax.management.MBeanServerConnection`
  Returns:
    String
  Throws:
    `java.io.IOException`

### getDomains

    public java.lang.String[] getDomains()
                                  throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `getDomains` in interface `javax.management.MBeanServerConnection`
  Returns:
    String[]
  Throws:
    `java.io.IOException`

### unregisterMBean

    public void unregisterMBean(javax.management.ObjectName objectName)
                         throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `unregisterMBean` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
  Throws:
    `java.io.IOException`

### isRegistered

    public boolean isRegistered(javax.management.ObjectName objectName)
                         throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `isRegistered` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
  Returns:
    boolean
  Throws:
    `java.io.IOException`

### isInstanceOf

    public boolean isInstanceOf(javax.management.ObjectName objectName,
                                java.lang.String string)
                         throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `isInstanceOf` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `string` - String
  Returns:
    boolean
  Throws:
    `java.io.IOException`

### setAttribute

    public void setAttribute(javax.management.ObjectName objectName,
                             javax.management.Attribute attribute)
                      throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `setAttribute` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `attribute` - Attribute
  Throws:
    `java.io.IOException`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName objectName)
                                            throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `getMBeanInfo` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
  Returns:
    MBeanInfo
  Throws:
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName objectName,
                                           javax.management.NotificationListener notificationListener)
                                    throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `notificationListener` - NotificationListener
  Throws:
    `java.io.IOException`

### getObjectInstance

    public javax.management.ObjectInstance getObjectInstance(javax.management.ObjectName objectName)
                                                      throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `getObjectInstance` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
  Returns:
    ObjectInstance
  Throws:
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName objectName,
                                           javax.management.ObjectName objectName1)
                                    throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `objectName1` - ObjectName
  Throws:
    `java.io.IOException`

### queryMBeans

    public java.util.Set queryMBeans(javax.management.ObjectName objectName,
                                     javax.management.QueryExp queryExp)
                              throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `queryMBeans` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `queryExp` - QueryExp
  Returns:
    Set
  Throws:
    `java.io.IOException`

### queryNames

    public java.util.Set queryNames(javax.management.ObjectName objectName,
                                    javax.management.QueryExp queryExp)
                             throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `queryNames` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `queryExp` - QueryExp
  Returns:
    Set
  Throws:
    `java.io.IOException`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.ObjectName objectName,
                                                        javax.management.AttributeList attributeList)
                                                 throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `setAttributes` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `attributeList` - AttributeList
  Returns:
    AttributeList
  Throws:
    `java.io.IOException`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName objectName,
                                        javax.management.NotificationListener notificationListener,
                                        javax.management.NotificationFilter notificationFilter,
                                        java.lang.Object object)
                                 throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `addNotificationListener` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `notificationListener` - NotificationListener
    `notificationFilter` - NotificationFilter
    `object` - Object
  Throws:
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName objectName,
                                           javax.management.NotificationListener notificationListener,
                                           javax.management.NotificationFilter notificationFilter,
                                           java.lang.Object object)
                                    throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `notificationListener` - NotificationListener
    `notificationFilter` - NotificationFilter
    `object` - Object
  Throws:
    `java.io.IOException`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName objectName,
                                        javax.management.ObjectName objectName1,
                                        javax.management.NotificationFilter notificationFilter,
                                        java.lang.Object object)
                                 throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `addNotificationListener` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `objectName1` - ObjectName
    `notificationFilter` - NotificationFilter
    `object` - Object
  Throws:
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName objectName,
                                           javax.management.ObjectName objectName1,
                                           javax.management.NotificationFilter notificationFilter,
                                           java.lang.Object object)
                                    throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `removeNotificationListener` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `objectName` - ObjectName
    `objectName1` - ObjectName
    `notificationFilter` - NotificationFilter
    `object` - Object
  Throws:
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName)
                                                throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `createMBean` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `className` - String
    `objectName` - ObjectName
  Returns:
    ObjectInstance
  Throws:
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName,
                                                       javax.management.ObjectName objectName2)
                                                throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `createMBean` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `className` - String
    `objectName` - ObjectName
    `objectName2` - ObjectName
  Returns:
    ObjectInstance
  Throws:
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName,
                                                       java.lang.Object[] objectArray,
                                                       java.lang.String[] stringArray)
                                                throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `createMBean` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `className` - String
    `objectName` - ObjectName
    `objectArray` - Object[]
    `stringArray` - String[]
  Returns:
    ObjectInstance
  Throws:
    `java.io.IOException`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String className,
                                                       javax.management.ObjectName objectName,
                                                       javax.management.ObjectName objectName2,
                                                       java.lang.Object[] objectArray,
                                                       java.lang.String[] stringArray)
                                                throws java.io.IOException

  Not supported method, always throw an IOException with the detail message "Not supported method".

  Specified by:
    `createMBean` in interface `javax.management.MBeanServerConnection`
  Parameters:
    `className` - String
    `objectName` - ObjectName
    `objectName2` - ObjectName
    `objectArray` - Object[]
    `stringArray` - String[]
  Returns:
    ObjectInstance
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD